﻿using IntelOrca.Launchpad;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GGJ2015
{
    public class Tile
    {
        public Player player { get; set; }
        
        public Tile() { }

        public void Update()
        {
            X += VX;
            Y += VY;
        }

        public bool LeftGrid
        {
            get
            {
                if (X < 0 && VX <= 0)
                    return true;
                if (Y < 0 && VY <= 0)
                    return true;
                if (X >= 8 && VX >= 0)
                    return true;
                if (Y >= 8 && VY >= 0)
                    return true;
                return false;
            }
        }

        public bool Killed { get; set; }
        public virtual ButtonBrightness Red { get; set; }
        public virtual ButtonBrightness Green { get; set; }
        public double X { get; set; }
        public double Y { get; set; }
        public double VX { get; set; }
        public double VY { get; set; }
    }
}
